org.bouncycastle.openpgp

## Class PGPEncryptedData

- java.lang.Object
- - org.bouncycastle.openpgp.PGPEncryptedData

All Implemented Interfaces:
  SymmetricKeyAlgorithmTags

Direct Known Subclasses:
  PGPPBEEncryptedData, PGPPublicKeyEncryptedData

    public abstract class PGPEncryptedData
    extends java.lang.Object
    implements SymmetricKeyAlgorithmTags

### Nested Class Summary

Nested Classes
`protected class` `PGPEncryptedData.TruncatedStream`

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.SymmetricKeyAlgorithmTags

`AES_128, AES_192, AES_256, BLOWFISH, CAST5, DES, IDEA, NULL, SAFER, TRIPLE_DES, TWOFISH`

### Method Summary

Methods
`java.io.InputStream` `getInputStream()` Return the raw input stream for the data stream.
`boolean` `isIntegrityProtected()` Return true if the message is integrity protected.
`boolean` `verify()` Note: This can only be called after the message has been read.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInputStream

    public java.io.InputStream getInputStream()

Return the raw input stream for the data stream.

Returns:
  InputStream

#### isIntegrityProtected

    public boolean isIntegrityProtected()

Return true if the message is integrity protected.

Returns:
  true if there is a modification detection code package associated with this stream

#### verify

    public boolean verify()
                   throws PGPException,
                          java.io.IOException

Note: This can only be called after the message has been read.

Returns:
  true if the message verifies, false otherwise.
Throws:
  `PGPException` - if the message is not integrity protected.
  `java.io.IOException`